TIBCO EMS .NET API 8.5 TIBCO EMS .NET API 8.5

- Main Page
- Related Pages
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Properties | List of all members
TIBCO.EMS.ADMIN.RVTransportInfo Class Reference

This class represents TIBCO Rendezvous transports that are configured on the EMS server. More...

Inheritance diagram for TIBCO.EMS.ADMIN.RVTransportInfo:

## Public Member Functions
override string | ToString ()
| Returns a String that represents the current Object More...

## Properties
string | Service`[get]`
| Get the name of the transport's TIBCO Rendezvous service parameter. More...
string | Network`[get]`
| Get the name of the transport's TIBCO Rendezvous network parameter. More...
string | Daemon`[get]`
| Get the name of the transport's TIBCO Rendezvous daemon parameter. More...
RVQueuePolicy | Policy`[get]`
| Returns the discard policy of the TIBCO Rendezvous internal queue used by this transport. More...
Properties inherited from TIBCO.EMS.ADMIN.TransportInfo
string | Name`[get]`
| Get the name of the transport. More...
TransportType | Type`[get]`
| Get the type of the transport. More...
DeliveryMode | TopicImportDeliveryMode`[get]`
| Get the delivery mode for messages imported from this transport to a topic. More...
DeliveryMode | QueueImportDeliveryMode`[get]`
| Get the delivery mode for messages imported from this transport to a queue. More...
bool | ExportHeaders`[get]`
| Indicates whether or not EMS header information is included in messages exported on this transport. More...
bool | ExportProperties`[get]`
| Indicates whether or not the EMS message properties are included in messages exported on this transport. More...

## Detailed Description

This class represents TIBCO Rendezvous transports that are configured on the EMS server.

Rendezvous transports are mechanisms for importing and exporting messages between EMS and TIBCO Rendezvous.

## Member Function Documentation

override string TIBCO.EMS.ADMIN.RVTransportInfo.ToString | ( |  | ) |
| inline

Returns a String that represents the current Object

## Property Documentation

string TIBCO.EMS.ADMIN.RVTransportInfo.Daemon
| get

Get the name of the transport's TIBCO Rendezvous daemon parameter.

Returns
  the transport's daemon.

string TIBCO.EMS.ADMIN.RVTransportInfo.Network
| get

Get the name of the transport's TIBCO Rendezvous network parameter.

Returns
  the transport's network.

RVQueuePolicy TIBCO.EMS.ADMIN.RVTransportInfo.Policy
| get

Returns the discard policy of the TIBCO Rendezvous internal queue used by this transport.

Since EMS 5.0

Returns
  the RV Queue policy for this transport

string TIBCO.EMS.ADMIN.RVTransportInfo.Service
| get

Get the name of the transport's TIBCO Rendezvous service parameter.

Returns
  the transport's service.